使用Maven时指定JDK版本

修改Maven工程中的JDK的版本

说明:在eclipse中创建的默认的java工程中,默认的JDK版本为1.5


解决方法:1. 手动修改eclipse配置 2. 修改Maven配置文件


方法一:手动修改eclipse中JDK的版本,每次创建新的工程都需要修改;

1.在eclipse中打开如下按照如下路径打开设置面板
使用Maven时指定JDK版本_第1张图片

2.配置JDK
使用Maven时指定JDK版本_第2张图片
3. 修改编译器:
使用Maven时指定JDK版本_第3张图片

方法二:在Maven配置文件中指定JDK的版本,不需要每次修改;

1. 在setting文件中的标签中加入如下配置:

      jdk-1.7

      
        1.7
      
	  
	  
	    1.7
	    1.7
	    1.7
	  
	  
    

【注意】如果本地没有1.7的JDK,该配置将不会生效
2. 配置完成之后就可以在eclipse中创建指定JDK版本的项目


你可能感兴趣的